Announcement Announcement Module
Collapse
No announcement yet.
org.springframework.roo.support.style??? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • org.springframework.roo.support.style???

    I wanted to install the JasperRoo Addon.. I know it hasn't been updated in a while.. really just trying to see how to confiure jasper reports with Spring Roo/Jspx/Tiles.. (docs always show a resourcebundle view resolver configuration)..

    Anyway.. the install fails due to a missing package "org.springframework.roo.support.style".. Seems this is not available anymore (though I see it in the API docs online)..

    ~.phv.domain.Event roo> osgi start --url http://s.digitalface.ca/jasperoo-latest
    org.osgi.framework.BundleException: Unresolved constraint in bundle ca.digitalface.jasperoo [75]: Unable to resolve 75.0: missing requirement [75.0] package; (&(package=org.springframework.roo.support.style)( version>=1.1.0))


    Just wanted to confirm it is indeed gone and that the AddOn will not install or that I have something configured wrong..

    thanks!!
    Gary

    API Doc URL: http://static.springsource.org/sprin...e-summary.html

  • #2
    What version of Roo was the add-on coded for and what Roo version are you developing under? Between Roo 1.0, 1.1, and 1.2 some of the internals of the add-ons and add-on jars changed, so it may be that it's so old it is using something that doesn't exist in Roo 1.3.

    Also as per the sticky announcement at the top of the forum states, Alan Stewart on the Roo team had to restore the Roobot server (which is the directory of add-ons) and only the core ones are loaded right now. Maybe this isn't going to work until he can harden the Roobot and get the other repo items back online.

    Ken

    Comment

    Working...
    X